%define anolis_release 2
%define _legacy_common_support 1

Summary: Utilities for managing the JFS filesystem
Name: jfsutils
Version: 1.1.15
Release: %{anolis_release}%{?dist}
Source0: https://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
Patch0: jfsutils-1.1.15_stdint.patch
Patch1: jfsutils_format-security_ftbs.patch
Patch2: jfsutils_sysmacros.patch
URL: http://jfs.sourceforge.net/
License: GPLv2+
Buildrequires: libuuid-devel

BuildRequires:  gcc
BuildRequires: make

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
find . -type f -name *.[ch] -exec chmod -x {} \;

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%generate_compatibility_deps

%files
%license COPYING
%{_sbindir}/*
%{_mandir}/man8/*
%dir %{abidir}
%{abidir}/jfs_fscklog-option.list
%{abidir}/jfs_logdump-option.list

%files doc
%doc AUTHORS NEWS ChangeLog

%changelog
* Wed Dec 28 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 1.1.15-2
- Correct the source url

* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 1.1.15-1
- init package from upstream
